当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 高锐蓝牙和罗技摄像头都遇到问题
帖子发表于 : 2008-12-10 0:53 
头像

注册: 2008-12-07 20:47
帖子: 46
送出感谢: 0 次
接收感谢: 0 次
不知道有没有遇到同样问题,怎么解决的?谢谢!

ubuntu 8.10

蓝牙是高锐 Ultra Mini USB (890-57-295), broadcom芯片 , 蓝牙1.2版本。Gnome自带的蓝牙工具看不到这个设备,但是hcitool dev能看到这个设备。用hciconfig -a报错,
Can't read local name on hci0: Input/output error (5)

系统里没有hcid.conf文件,daemon.log提示 Can't read class of adapter on /org/bluez/hci0: Input/output error (5)

hcitool scan查询设备时,报超时错误:
Inquiry failed: Connection timed out

摄像头是罗技的快看畅想版,设备能被检测到,但是不能正常显示视频。安装了那位法国人的EasyCam2之后,只能在茄子里正常使用。在SKYPE和Camorama中一查看摄像头,程序就崩溃退出。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 高锐蓝牙和罗技摄像头都遇到问题
帖子发表于 : 2008-12-10 23:26 
头像

注册: 2008-12-07 20:47
帖子: 46
送出感谢: 0 次
接收感谢: 0 次
摄像头问题已经解决:
Ubuntu 8.10实际上已经安装了这个摄像头的驱动,不需安装EasyCam。

由于skype和camorama的启动程序没有加载video4linux库。需要修改这2个程序的启动方式,

编辑 ~/.local/share/applications/skype.desktop文件,把Exec这一行改为以下三行:
Exec=bash<<end
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so /usr/bin/skype
end

不过不能再通过图形界面修改这个菜单了。


还有一个复杂一点的方法:
$ sudo gedit /usr/local/bin/skype
添加以下2行到该文件:
#!/bin/bash
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so /usr/bin/skype
$ sudo chmod a+x /usr/local/bin/skype

然后在主菜单设置里,把Skype对应的命令改成/usr/local/bin/skype


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 高锐蓝牙和罗技摄像头都遇到问题
帖子发表于 : 2008-12-11 14:27 
头像

注册: 2008-12-07 20:47
帖子: 46
送出感谢: 0 次
接收感谢: 0 次
蓝牙的事情也解决了。

linux的新内核中丢弃了对Broadcom BCM2035芯片的支持。编辑btusb.c文件,添加设备信息
{ USB_DEVICE(0x0a5c, 0x2009), .driver_info = BTUSB_BCM92035 },

重新编译这个模块,然后替换掉原来的文件。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 高锐蓝牙和罗技摄像头都遇到问题
帖子发表于 : 2008-12-11 17:02 
头像

注册: 2008-11-01 21:40
帖子: 187
送出感谢: 0 次
接收感谢: 0 次
不错 我的skype也有这问题


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译